IF NOT EXISTS (SELECT 1 FROM SYS.TABLES WHERE NAME ='PRC_FILIAL_FILTRO_PERSONALIZADO')
BEGIN
CREATE TABLE dbo.PRC_FILIAL_FILTRO_PERSONALIZADO (
	CD_CTR int DEFAULT 0 NOT NULL,
	DESCRICAO_FILTRO varchar(50) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	CONSTRAINT IX_PRC_FILIAL_FILTRO_PERSONALIZADO UNIQUE (DESCRICAO_FILTRO),
	CONSTRAINT PK_PRC_FILIAL_FILTRO_PERSONALIZADO PRIMARY KEY (CD_CTR)
);


END

GO 



IF NOT EXISTS (
		SELECT *
		FROM sys.indexes
		WHERE object_id = OBJECT_ID(N'[PRC_FILIAL_FILTRO_PERSONALIZADO]')
			AND name = N'IX_PRC_FILIAL_FILTRO_PERSONALIZADO'
		)
BEGIN
	CREATE UNIQUE NONCLUSTERED INDEX IX_PRC_FILIAL_FILTRO_PERSONALIZADO ON dbo.PRC_FILIAL_FILTRO_PERSONALIZADO (DESCRICAO_FILTRO);

END
GO



